Loading...
Searching...
No Matches
Transaction DB Flags
LMDB Internals

## Macros

#define | DB_DIRTY 0x01
#define | DB_STALE 0x02
#define | DB_NEW 0x04
#define | DB_VALID 0x08
#define | DB_USRVALID 0x10
#define | DB_DUPDATA 0x20

## Detailed Description

## Macro Definition Documentation

## DB_DIRTY

#define DB_DIRTY 0x01

DB was written in this txn

## DB_STALE

#define DB_STALE 0x02

Named-DB record is older than txnID

## DB_NEW

#define DB_NEW 0x04

Named-DB handle opened in this txn

## DB_VALID

#define DB_VALID 0x08

DB handle is valid, see also MDB_VALID

## DB_USRVALID

#define DB_USRVALID 0x10

As DB_VALID, but not set for FREE_DBI

## DB_DUPDATA

#define DB_DUPDATA 0x20

DB is MDB_DUPSORT data